//
//  MainTabBarVC.m
//  MobNewsSDKApp
//
//  Created by 兵伍 on 2019/7/22.
//  Copyright © 2019 兵伍. All rights reserved.
//

#import "MainTabBarVC.h"
#import <MobNewsSDK/MobNewsSDKApi.h>
#import "ViewController.h"

@interface MainTabBarVC ()

@end

@implementation MainTabBarVC

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UITabBarItem *item1 = [[UITabBarItem alloc] initWithTabBarSystemItem:UITabBarSystemItemTopRated tag:1];
    UIViewController *multiTabVC = [MobNewsSDKApi multiTabFeedListWithParams:nil];
    multiTabVC.tabBarItem = item1;
    UINavigationController *navi1 = [[UINavigationController alloc] initWithRootViewController:multiTabVC];
    
    UITabBarItem *item2 = [[UITabBarItem alloc] initWithTabBarSystemItem:UITabBarSystemItemFeatured tag:2];
    UIViewController *singleTabVC = [MobNewsSDKApi singleTabFeedListWithChannel:@"推荐"];
    singleTabVC.tabBarItem = item2;
    UINavigationController *navi2 = [[UINavigationController alloc] initWithRootViewController:singleTabVC];
    navi2.navigationBar.translucent = NO;
    singleTabVC.navigationItem.title = @"推荐";
    
    UITabBarItem *item3 = [[UITabBarItem alloc] initWithTabBarSystemItem:UITabBarSystemItemHistory tag:3];
    UIViewController *vc = [[ViewController alloc] init];
    vc.tabBarItem = item3;
    UINavigationController *navi3 = [[UINavigationController alloc] initWithRootViewController:vc];
    
    self.viewControllers = @[navi1, navi2, navi3];
}

@end
