//
//  CustomCountDownView.h
//  MobNewsSDKApp
//
//  Created by 兵伍 on 2020/2/20.
//  Copyright © 2020 兵伍. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MobNewsSDK/MobNewsSDKApi.h>

NS_ASSUME_NONNULL_BEGIN

@interface CustomCountDownView : UIView<LKADCountDownViewProtocol>
@property (nonatomic, weak) id<LKADCountDownViewDelegate> delegate;
@property (nonatomic, assign) CGFloat scrollDelay;

- (void)startWithDuration:(NSInteger)duration frame:(CGRect)rect;
- (void)pause;
- (void)resume;
- (void)showRewardWithInfo:(NSString *)info;
@end

NS_ASSUME_NONNULL_END
