//
//  ViewController.m
//  MobNewsSDKApp
//
//  Created by 兵伍 on 2019/7/15.
//  Copyright © 2019 兵伍. All rights reserved.
//

#import "ViewController.h"
#import <MobNewsSDK/MobNewsSDKApi.h>

@interface ViewController ()
@end

@implementation ViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self.navigationController setNavigationBarHidden:NO animated:animated];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
}

- (IBAction)pushMultiTab:(id)sender {
    UIViewController *multiTabVC = [MobNewsSDKApi multiTabFeedListWithParams:@{@"title": @"资讯"}];
    [self.navigationController pushViewController:multiTabVC animated:YES];
}

- (IBAction)pushSingleTab:(id)sender {
    UIViewController *singleTabVC = [MobNewsSDKApi singleTabFeedListWithChannel:@"汽车"];
    singleTabVC.title = @"汽车资讯";
    [singleTabVC performSelector:@selector(setShowSystemNavi:) withObject:@(1)];
    [self.navigationController pushViewController:singleTabVC animated:YES];
}

- (IBAction)presentMultiTab:(id)sender {
    UIViewController *multiTabVC = [MobNewsSDKApi multiTabFeedListWithParams:@{@"title": @"资讯"}];
    UINavigationController *navi = [[UINavigationController alloc] initWithRootViewController:multiTabVC];
    navi.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:navi animated:YES completion:nil];
}


@end
